<?php

    /**
     * @copyright		(C)2013 DM Digital S.r.l
     * @author 			DM Digital <support@dmjoomlaextensions.com>
     * @link				http://www.dmjoomlaextensions.com
     * @license 			GNU/LGPL http://www.gnu.org/copyleft/gpl.html
     **/

    //---
    defined('_JEXEC') or die('Restricted access');
	
	jimport( 'joomla.application.component.view');
		
class DMViewPanel extends DMView{
		
	function display($tpl = null){

        $document = JFactory::getDocument();
        $document->addStyleSheet('components/com_dmfrontendusermanager/assets/css/style.css');
        $document->addScript('//code.jquery.com/jquery-1.9.1.js');
        $document->addScript('//code.jquery.com/ui/1.10.3/jquery-ui.js');
        $document->addScript('components/com_dmfrontendusermanager/js/dmfum.js');
        $this->groups = DMFUMFrontendHelper::getGroups('view');

        $this->canAdd = DMFUMFrontendHelper::canAdd();

        $this->users = DMFUMFrontendHelper::getUsers();

        $mainframe = JFactory::getApplication();
        $option = JRequest::getCmd('option');
        $params = $mainframe->getParams($option);

        $this->pageclass_sfx = $params->get('pageclass_sfx', '');
        if ($params->get('show_page_heading', 1) == 1) {
            $this->page_title = $params->get('page_heading', '');
        } else {
            $this->page_title = '';
        }

		parent::display();
	}
}
?>
